package com.dxhy.base.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.util.Date;

/**
 * 手工勾选查询返回对象
 *
 * @author kangzq
 *
 */
@Data
public class BaseSggxCxRespVO {

    /**
     * ID
     */
    private String id;

    /**
     * 序号
     */
    private String xh;

    /**
     * 发票代码
     */
    private String invoiceCode;

    /**
     * 发票号码
     */
    private String invoiceNo;

    /**
     * 发票类型
     */
    private String invoiceType;
    /**
     * 开票日期
     */
    private String invoiceDate;

    /**
     * 发票状态
     */
    private String invoiceStatus;

    /**
     * 金额
     */
    private String invoiceAmount;
    /**
     * 税额
     */
    private String taxAmount;
    /**
     * 抵扣税额
     */
    private String dkse;

    /**
     * 签收日期
     */
    private String qsrq;

    /**
     * 签收状态
     */
    private String qszt;
    /**
     * 签收方式
     */
    private String qsfs;
    /**
     * 签收人
     */
    private String qsr;
    /**
     * 购方名称
     */
    private String gfmc;
    /**
     * 销方名称
     */
    private String xfmc;

    /**
     * 业务单元名称
     */
    private String businessName;
    /**
     * 是否升级地区0未升级，1已升级
     */
    private String upgradeStatus;
    /**
     * 返回前端是否勾选的状态
     */
    private Boolean select;
    /**
     * 不可勾选提示
     */
    private String bkgxts;
    /**
     * 打款状态
     */
    private String inAccountStatus;

    /**
     * 付款状态
     */
    private String paymentStatus;

    /**
     * 付款日期
     */
    private String paymentDate;

    /**
     * 结算单号
     */
    private String settlementNo;

    private String voucherNumber;
    /**
     * 全电发票号码
     */
    private String eleInvoiceNo;

    /**
     * 影像id
     */
    private String imageNumber;

    /**
     * 凭证号
     */
    private String snVoucherNumber;

    /**
     * 过账时间
     */
    private String postingTime;

    /**
     * 过账时间
     */
    private String accountPeriod;

    /**
     * 报账单号
     */
    private String bzdh;

}
